- Qt 6.6
- Qt Virtual Keyboard
- QML Types
- QtQuick.VirtualKeyboard
- ShiftHandler
- Qt Virtual Keyboard | Commercial or GPLv3

# ShiftHandler QML Type

Manages the shift state. More...

Import Statement: | import QtQuick.VirtualKeyboard

- List of all members, including inherited members

## Properties

- autoCapitalizationEnabled : bool
- sentenceEndingCharacters : string
- toggleShiftEnabled : bool

## Methods

- void toggleShift()

## Detailed Description

## Property Documentation

[read-only] autoCapitalizationEnabled : bool

This property provides the current state of the automatic capitalization feature.

sentenceEndingCharacters : string

This property specifies the sentence ending characters which will cause shift state change.

By default, the property is initialized to sentence ending characters found in the ASCII range (i.e. ".!?").

[read-only] toggleShiftEnabled : bool

This property provides the current state of the toggleShift() method. When true, the current shift state can be changed by calling the toggleShift() method.

## Method Documentation

void toggleShift()

Toggles the current shift state.

This method provides the functionality of the shift key.

See also toggleShiftEnabled.